Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 31 Dec 2021 11:04:13 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi! Are your deliveries in Al Ain only until 1:30?

I informed the driver that someone will be available only by 4 pm and none earlier than that. I informed him earlier and he did not say anything. 

He informed me now that delivery is already done. And my order us plugged as undelivered.

I just don't understand because we who are on duty during working hours will not be able to get our shipping. I am also working in a remote areaal khazna clinic, midway abu dhabi and al ain so shipping there will be difficult.

I just want an affirmation that delivery time is limited only until 1:30. If that's the case then i'll find a way to deal with it. But if the delivery guy just refused me, it would be unfair. Other companies can deliver in a later time. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3696016